Forge

Functions
Font
C API functions

## Functions
FGAPI fg_err | fg_create_font (fg_font *pFont)
| Create a Font object. More...
FGAPI fg_err | fg_retain_font (fg_font *pOut, fg_font pIn)
| Increase reference count of the resource. More...
FGAPI fg_err | fg_release_font (fg_font pFont)
| Destroy font object. More...
FGAPI fg_err | fg_load_font_file (fg_font pFont, const char *const pFileFullPath)
| Load a given font file. More...
FGAPI fg_err | fg_load_system_font (fg_font pFont, const char *const pFontName)
| Load a system font based on the name. More...

## Detailed Description

## Function Documentation

## ◆ fg_create_font()

FGAPI fg_err fg_create_font | ( | fg_font * | pFont | ) |

Create a Font object.

Parameters

  [out] | pFont | will point to the font object created after this function returns

Returns
  fg_err error code

## ◆ fg_load_font_file()

FGAPI fg_err fg_load_font_file | ( | fg_font | pFont,
|  | const char *const | pFileFullPath
| ) |  |

Load a given font file.

Parameters

  [in] | pFont | is the font handle
  [in] | pFileFullPath | True Type Font file path

Returns
  fg_err error code

## ◆ fg_load_system_font()

FGAPI fg_err fg_load_system_font | ( | fg_font | pFont,
|  | const char *const | pFontName
| ) |  |

Load a system font based on the name.

Parameters

  [in] | pFont | is the font handle
  [in] | pFontName | True Type Font name

Returns
  fg_err error code

## ◆ fg_release_font()

FGAPI fg_err fg_release_font | ( | fg_font | pFont | ) |

Destroy font object.

Parameters

  [in] | pFont | is the font handle

Returns
  fg_err error code

## ◆ fg_retain_font()

FGAPI fg_err fg_retain_font | ( | fg_font * | pOut,
|  | fg_font | pIn
| ) |  |

Increase reference count of the resource.

Parameters

  [out] | pOut | is the new handle to existing resource
  [in] | pIn | is the existing resource handle

Returns
  fg_err error code